/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

/*
 * Дешифрование строки
 * Синтаксис вычисления
{DECR:<строка>}
 */
package Standard;

import LuiExceptionMsg.LuiException;
import java.sql.SQLException;
import luiserver.LuiAppProp;
import luiserver.LuiApplication;
import luiserver.LuiPlugin;

/**
 *
 * @author aliubushkin
 */
public class DECR implements LuiPlugin{
LuiApplication app;
    @Override
    public void setContext(LuiApplication pContext) {
     app=pContext;  
    }

    @Override
    public String compute(String pString, LuiAppProp pProp) throws LuiException, SQLException {
     if (app.decr) {   
     return app.crypter.decrypt(pString);
     } else
     return "********";
    }

    @Override
    public void execute(String pString, LuiAppProp pProp) throws LuiException, SQLException {
       
    }

    @Override
    public void findDependency(String pString, LuiAppProp pProp) throws LuiException, SQLException {
        
    }
    
}
