/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

/*
 * Копирование значений полей из ранее заполненной похожей формы
* Синтаксис
Duplicate:
 */
package Standard;

import LuiExceptionMsg.LuiException;
import java.sql.SQLException;
import luiserver.LuiAppForm;
import luiserver.LuiAppProp;
import luiserver.LuiApplication;
import luiserver.LuiPlugin;

/**
 *
 * @author aliubushkin
 */
public class Duplicate implements LuiPlugin{
LuiApplication app;
    @Override
    public void setContext(LuiApplication pContext) {
        app=pContext;
    }

    @Override
    public String compute(String pString, LuiAppProp pProp) throws LuiException, SQLException {
    execute(pString, pProp);    
    return "";    
    }

    @Override
    public void execute(String pString, LuiAppProp pProp) throws LuiException, SQLException {
     LuiAppForm frm=pProp.ownerObj.getForm();
    if (frm==null) {
    String curFrmID=app.getVal("FormID");        
    if (app.forms.containsKey(curFrmID)){
       frm=app.forms.get(curFrmID);
    } else return ;
    }
    frm.duplicate();
    }

    @Override
    public void findDependency(String pString, LuiAppProp pProp) throws LuiException, SQLException {
        //throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }
    
}
