/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package luiserver;

import java.util.ArrayList;

/**
 *
 * @author aliubushkin
 */
public class LuiClCommandGroup extends LuiClEvCo{
public ArrayList<LuiClCommand> commandList; 
public boolean really=true;
//private LuiClCommandWriter writer;
/**
 * Конструктор группы команд
 * @param pName -- имя группы
 */
public LuiClCommandGroup(String pName) {
        super(pName);
        commandList=new ArrayList<LuiClCommand>();
        //writer=pWriter;
    }
/**
 * Добавление команды
 * @param pName имя команда
 * @return команда
 */
public LuiClCommand addCommand(String pName){
  synchronized(commandList){
    LuiClCommand c=new LuiClCommand(pName);
    commandList.add(c);
    return c;
}
}
/**
 * Удаление всех команд с указанным именем
 * @param pName имя команды
 */
public void removeCommands(String pName){
synchronized(commandList){    
boolean removed =true;
 while(removed){
     removed=false;
     for(int i=0;i<commandList.size();i++){
         if (commandList.get(i).name.equals(pName)){
             commandList.remove(i);
             removed=true;
             break;
         }
     }
 }
}}
}
