/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package luiserver;

import java.util.HashMap;

/*
 * Класс для хранения данных о СУБД
 */

/**
 *
 * @author aliubushkin
 */
public class LuiDBMStype {
public    String Name;
public    String dummyQuery;
public    boolean emptyStringIsNull;
public    boolean identDataTypeByName;
public    String forUpdateOf;
public    HashMap<String,LuiDBMSdatatype> dataTypes;

public LuiDBMStype(String pName,String pDummyQuery,String pEmptyStringIsNull,String pDataTypeIdent,String pForUpdateOf){
    Name=pName;
    dataTypes=new HashMap<>();
    dummyQuery=pDummyQuery;
    forUpdateOf=pForUpdateOf;
    if (pEmptyStringIsNull.equals("Y")) emptyStringIsNull=true;
    else emptyStringIsNull=false;
    if (pDataTypeIdent.equals("NAME")) identDataTypeByName=true;
    else identDataTypeByName=false;
}
}
