/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

/*
 * Тип данных LUI
 */
package luiserver;

import LuiCollection.LuiCollection;
import java.util.ArrayList;
import java.util.HashMap;

/**
 *
 * @author aliubushkin
 */
public class LuiDataType {
    public String appCode;
    public String name;
    public String AlphabetOrFormat;
    public String tl_select_clause;
    public String tl_where_clause;
    public String tl_order_by_clause;
    public HashMap<String,LuiDataConvElement> defConvEls;
    public ArrayList<LuiCollection> compOp;
    public String emptyStringFromLuiMode;
    public String emptyStringSpecialSymbol;
    public String nullSpecialSymbol;
public LuiDataType(String pAppCode,String pName,String pAlphabetOrFormat,String ptl_select_clause,String ptl_where_clause,String ptl_order_by_clause,
        String pEmptyStringFromLuiMode,String pEmptyStringSpecialSymbol,String pNullSpecialSymbol) {
    appCode=pAppCode;
    name=pName;
    AlphabetOrFormat=pAlphabetOrFormat;
    defConvEls=new HashMap<>();
    compOp=new ArrayList<>();
    tl_select_clause=ptl_select_clause;
    tl_where_clause=ptl_where_clause;
    tl_order_by_clause=ptl_order_by_clause;
    emptyStringFromLuiMode=pEmptyStringFromLuiMode;
    emptyStringSpecialSymbol=pEmptyStringSpecialSymbol;
    nullSpecialSymbol=pNullSpecialSymbol;
}
}
