/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package ru.fors.telecom.webui.common;

/**
 *
 * @author john
 */
public class ClientConfigEntry {

    private String user = null;
    private String password = null;
    private String alias = null;
    private boolean def = false;

    public ClientConfigEntry() {
    }

    public void setUserName(String u) {
        user = u;
    }

    public void setPassword(String p) {
        password = p;
    }

    public void setAlias(String a) {
        alias = a;
    }

    public void setDefault(boolean d) {
        def = d;
    }

    public String getUserName() {
        return user;
    }

    public String getPassword() {
        return password;
    }

    public String getAlias() {
        return alias;
    }

    public boolean isDefault() {
        return def;
    }
}
