/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package ru.fors.telecom.webui.common;

import com.google.gson.JsonObject;
import java.util.ArrayList;

/**
 *
 * @author john
 */
public class PollResponse {
    
    private String retry;
    private ArrayList<JsonObject> commands = null;

    public void setRetry(String retry) {
        this.retry = retry;
    }

    public void addCommand(JsonObject c) {
        if (commands == null) {
            commands = new ArrayList<>();
        }
        commands.add(c);
    }
    
}
