/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package ru.fors.telecom.webui.common;

import java.util.Comparator;
import org.jdom2.Element;

/**
 *
 * @author john
 */
public class XMLComparator implements Comparator<Element> {

    public XMLComparator() {}

    @Override
    public int compare(Element o1, Element o2) {
        if (o1.getName().equalsIgnoreCase("C")) {
            if (o2.getName().equalsIgnoreCase("C")) {
                return 0;
            } else if (o2.getName().equalsIgnoreCase("P")) {
                return 1;
            } else if ((o2.getName().equalsIgnoreCase("W")) || (o2.getName().equalsIgnoreCase("Command"))) {
                return -1;
            }
        }
        if (o1.getName().equalsIgnoreCase("P")) {
            if (o2.getName().equalsIgnoreCase("C")) {
                return -1;
            } else if (o2.getName().equalsIgnoreCase("P")) {
                return 0;
            } else if ((o2.getName().equalsIgnoreCase("W")) || (o2.getName().equalsIgnoreCase("Command"))) {
                return -1;
            }
        }
        if (o1.getName().equalsIgnoreCase("W")) {
            if (o2.getName().equalsIgnoreCase("C")) {
                return 1;
            } else if (o2.getName().equalsIgnoreCase("P")) {
                return 1;
            } else if ((o2.getName().equalsIgnoreCase("W")) || (o2.getName().equalsIgnoreCase("Command"))) {
                return 0;
            }
        }
        return 0;
    }

}
