/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package ru.fors.telecom.webui.event;

/**
 *
 * @author john
 */
public class SingleEvent {
    
    private static final String EVENT_NAME = "e";
    private final String name;
    private final SingleEventParameters params;
    
    public SingleEvent(SingleEventParameters params) {
        this.params = params;
        this.name = params.get(EVENT_NAME).value();
        this.params.remove(EVENT_NAME);
    }
    
    public String name() {
        return name;
    }
    
    public SingleEventParameters parameters() {
        return params;
    }
    
}
