/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

 /* 
 *   (С) 2016  ООО ФОРС-Центр Разработки, ООО ФОРС-Телеком
 *   http://www.fors.ru
 *   http://www.forstelecom.ru
 *
 *   Класс для хранения описания столбца запроса
 *   
 *   РЕВИЗИЯ:
 *  $Rev:: 1            $:  Ревизия файла
 *  $Author:: aliubushkin   $:  Автор последних изменений
 *  $Date:: 2016-10-14 1#$:  Дата последних изменений
 *   ПРИМЕЧАНИЯ:
****************************************************************************** */
package LuiDbInterface;

public class ColInfo {
    public String schemaName; // имя схемы
    public String tableName; // имя таблицы
    public String tableAlias; // алиас таблицы
    public String name; // имя столбца
    public String alias;// алиас столбца
    public String columnClassName; // java класс
    public String columnTypeName; // имя типа столбца
    public String value; //значение столбца (следует использовать при реализации luiDbConn.select4update для построения фразы "where" следует помнить что сдесь будет не просто константа а уже преобразованное в выражение пример: "is null" или "= to_date('01.01.2019','dd.mm.yyyy')"
    public String LuiDATATYPE; // CHAR,DATE,DATETIME,NUMBER
    public String LuiFORMAT; //формат, указанный в Lui-списках или бланках
    public int columnType; //  тип столбца
    
/**
     * Конструктор объектов 
     */
public ColInfo(String pSchemaName,String pTableName,String pTableAlias,String pName,String pAlias,String pColumnClassName,String pColumnTypeName,int pColumnType){
    schemaName=pSchemaName;
    tableName=pTableName;
    tableAlias=pTableAlias;
    name=pName;
    alias=pAlias;    
    columnClassName=pColumnClassName;
    columnTypeName=pColumnTypeName;
    columnType=pColumnType;
    
}

    public ColInfo() {
      
    }
}