/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

/*
 * Создание сеанса пользователя в приложении
* Синтаксис:
OpenSession:<имя пользователя>
 */
package Standard;

import LuiExceptionMsg.LuiException;
import java.sql.SQLException;
import luiserver.LuiAppProp;
import luiserver.LuiApplication;
import luiserver.LuiPlugin;
import luiserver.LuiSession;

/**
 *
 * @author aliubushkin
 */
public class OpenSession implements LuiPlugin {
LuiApplication app;
    @Override
    public void setContext(LuiApplication pContext) {
        app=pContext;
    }

    @Override
    public String compute(String pString, LuiAppProp pProp) throws LuiException, SQLException {
     return null;   
    }

    @Override
    public void execute(String pString, LuiAppProp pProp) throws LuiException, SQLException {
        if (app.luiSession!=null){
            app.luiSession.endSession(false);
        }
        new LuiSession(app,pString);
        app.luiSeance.licAtt(1,10);
    }

    @Override
    public void findDependency(String pString, LuiAppProp pProp) throws LuiException, SQLException {
        
    }
    
}
