/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package luiserver;

/**
 *
 * @author aliubushkin
 */
public class LuiProcTimer {
long ProcStartTime;
long ProcEndTime;
char status;//S-stopped;R-running;

public LuiProcTimer(){
    ProcStartTime=System.nanoTime();
    ProcEndTime=ProcStartTime;
    status='S';
}
public void reStart(){
    ProcStartTime=System.nanoTime();
    ProcEndTime=ProcStartTime;
    status='R';
}
public void stop(){
    if (status!='S'){
    ProcEndTime=System.nanoTime();
    status='S';}
}
public void run(){
    if (status!='R'){
    ProcEndTime=System.nanoTime();
    status='R';
    }
}
public double getValue(){
    if (status=='S') return (double)(ProcEndTime-ProcStartTime)/(double)1000000000;
    return (double)(System.nanoTime()-ProcStartTime)/(double)1000000000;
}
public double stopAndGetValue(){
    stop();
    return getValue();
}
}
