/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package ru.fors.telecom.webui.common;

import java.util.HashMap;


/**
 *
 * @author john
 */
public class SharedCommand {

    private String name = "";
    private HashMap<String, String> params = null;

    public SharedCommand() {
        params = new HashMap<>();
    }

    public void addParam(String name, String value) {
        params.put(name, value);
    }

    public void setName(String name) {
        this.name = name;
    }
    
}
