/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package ru.fors.telecom.webui.common;

/**
 *
 * @author john
 */
public class SharedConfig {

    private String tempDir = "";
    private String mobileDescriptor = "";
    private int mobileIndex = 0;

    public SharedConfig() {
    }

    public void setTempDir(String td) {
        tempDir = td;
    }

    public String getTempDir() {
        return tempDir;
    }
    
    public void setMobileDescriptor(String desc) {
        mobileDescriptor = desc;
    }
    
    public String getMobileDescriptor() {
        return mobileDescriptor;
    }
    
    public void setMobileIndex(int index) {
        mobileIndex = index;
    }
    
    public int getMobileIndex() {
        return mobileIndex;
    }

}
