/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package ru.fors.telecom.webui.event;

import java.util.HashMap;
import java.util.Iterator;

/**
 *
 * @author john
 */
public class CollectionParameter extends HashMap<String, String> implements EventParameter {
    
    @Override
    public String value() {
        StringBuilder ret = new StringBuilder();
        Iterator<Entry<String, String>> iter = this.entrySet().iterator();
        while (iter.hasNext()) {
            Entry<String, String> entry = iter.next();
            ret.append("\"").append(entry.getKey()).append("\":\"").append(entry.getValue()).append("\";");
        }
        return ret.toString();
    }
    
}
