/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package ru.fors.telecom.webui.event;

/**
 *
 * @author john
 */
public class StringParameter implements EventParameter {
    
    private final String value;
    
    public StringParameter(String value) {
        this.value = value;
    }
    
    @Override
    public String value() {
        return value;
    }
    
}
