/*
 * Copyright (c) 2021 «FORS Telecom» LLC.
 * All Rights Reserved.
 *
 * The code is published under the terms of the «FORS Telecom» LLC Licens,
 * published in file LICENSE of this package or at
 *
 * http://lui.fors.ru/license	- in Russian
 * http://lui.fors.com/license	- in English.
 *
 */

package ru.fors.telecom.webui.menu;

import ru.fors.telecom.webui.common.Utils;

/**
 *
 * @author john
 */
public class UiMenuItemIcon extends UiMenuItemContent {
    
    public UiMenuItemIcon (String value) {
        super(value);
    }
    
    @Override
    public String getValue() {
        if (Utils.testEmptyString(Utils.string2String(value))) {
            return "";
        } else {
            return "ico-" + value;
        }
    }
    
}
